AAFReader (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.aaf

## Class AAFReader

- java.lang.Object
- - org.apache.poi.poifs.eventfilesystem.POIFSReader
  - - tv.amwa.maj.io.aaf.AAFReader

-     public class AAFReader
      extends org.apache.poi.poifs.eventfilesystem.POIFSReader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AAFReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `read(InputStream stream)` Read from an InputStream and process the documents we get
    `void` | `registerListener(org.apache.poi.poifs.eventfilesystem.POIFSReaderListener listener)` Register an AAFReaderListener for all documents

    - ### Methods inherited from class org.apache.poi.poifs.eventfilesystem.POIFSReader

      `main, registerListener, registerListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AAFReader

          public AAFReader()

  - ### Method Detail

    - #### registerListener

          public void registerListener(org.apache.poi.poifs.eventfilesystem.POIFSReaderListener listener)

      Register an AAFReaderListener for all documents
      Overrides:
        `registerListener` in class `org.apache.poi.poifs.eventfilesystem.POIFSReader`
      Parameters:
        `listener` - the listener to be registered
      Throws:
        `NullPointerException` - if listener is null
        `IllegalStateException` - if read() has already been called

    - #### read

          public void read(InputStream stream)
                    throws IOException

      Read from an InputStream and process the documents we get
      Overrides:
        `read` in class `org.apache.poi.poifs.eventfilesystem.POIFSReader`
      Parameters:
        `stream` - the InputStream from which to read the data
      Throws:
        `IOException` - on errors reading, or on invalid data

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.